Module java.desktop
Package java.awt.desktop

## Class QuitEvent

- java.lang.Object
- - java.util.EventObject
  - - java.awt.desktop.AppEvent
    - - java.awt.desktop.QuitEvent

- All Implemented Interfaces:
    `Serializable`

      public final class QuitEvent
      extends AppEvent

  Event sent when the application is asked to quit.
  Since:
    9
  See Also:
    `QuitHandler.handleQuitRequestWith(QuitEvent, QuitResponse)`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QuitEvent​()` | Constructs a `QuitEvent`

  - ### Method Summary

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QuitEvent

          public QuitEvent​()

      Constructs a `QuitEvent`